Bug 57950 - wmclock does not work on rh7.2 / rh7.3
wmclock does not work on rh7.2 / rh7.3
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: WindowMaker (Show other bugs)
7.2
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Phil Copeland
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-02 20:08 EST by Need Real Name
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-26 14:27:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-01-02 20:08:57 EST
Description of Problem:

when you run wmclock either from my window maker start-up script (which is
unchanged from rh6.2&7.1) or from the command line, with any set of
options, wmclock never pops up the clock window on any screen or within the
dock tool bar.  it is running, just doesn't do anything.

Version-Release number of selected component (if applicable):

rpm -qf /usr/X11R6/bin/wmclock
WindowMaker-0.65.1-3
redhat 7.2 with all installed errata patches as of 2002-01-01


How Reproducible:
just run it -- nothing happens
Comment 1 Need Real Name 2002-01-26 14:27:12 EST
i've tried to build wmclock again from both the srpm and from the unpatched tgz
file and it does not run.  i've run it on both a dual-ppro and athlon no luck. 
turning off any -O or -m and adding -g -O0 (oh-zero) does not help.

the main loop is running, just nothing from X is being displayed (but the
XCopyArea calls are being run).

i don't know enough about X to help debug this, sorry.  i'll apply the plethora
of XFree patches that were recently released and see if that helps and i'll
report back soon.
Comment 2 Phil Copeland 2002-02-13 11:39:54 EST
Hum,... dunno about 0.65.1-3 as such
There is a rawhide version I put up a couple of days ago

rpm --rebuild
ftp://rawhide.redhat.com/pub/redhat/linux/rawhide/SRPMS/SRPMS/WindowMaker-0.80.1-1.src.rpm

You'll note that the icon behaviour is different from other releases but I've
been assured by the WindowMaker folks that this is correct behaviour and that
everything up until now has been broken... (go figure)

Thats the raw windowmaker system without any dockapps BUT wmclock will build
fine and work (tested)

Bear in mind that according to the higher powers things like wmclock should live
in /usr/bin
(FHS standard, section 4.4.1  - http://www.pathname.com/fhs ) 

Phil
=--=
Comment 3 Need Real Name 2002-06-03 09:20:24 EDT
i've upgraded to redhat 7.3 and it still doesn't work. 

path: /usr/bin/wmclock
rpm: wmclock-1.0.12.2-2

perhaps it is just me.  weird.
Comment 4 Phil Copeland 2002-06-03 10:42:35 EDT
[root@alpha root]# rpm -q wmclock
wmclock-1.0.12.2-2
[root@alpha root]# type wmclock
wmclock is /usr/bin/wmclock
[root@alpha root]# 

I'm running wmclock on a 7.2 alpha and it's showing up fine (if it's going to
fail anywhere, it'll fail first on an alpha) I also just checked it on a dual
processor x86 box running 7.3

Whats your locale?
[root@alpha root]# locale
LANG=en_US
LC_CTYPE="en_US"
LC_NUMERIC="en_US"
LC_TIME="en_US"
LC_COLLATE="en_US"
LC_MONETARY="en_US"
LC_MESSAGES="en_US"
LC_PAPER="en_US"
LC_NAME="en_US"
LC_ADDRESS="en_US"
LC_TELEPHONE="en_US"
LC_MEASUREMENT="en_US"
LC_IDENTIFICATION="en_US"
LC_ALL=


Phil
=--=
Comment 5 Need Real Name 2002-06-03 11:14:55 EDT
my locale is exactly the same as yours.

here's a thought: i have a minimalish system, no kde, no python, no a great many
things.  could i have a library that is required but not installed?  perhaps a
mini-version of a library is there and doesn't work?  is something getting
missed by rpm in the determination of requirements?

i compiled from the .src.rpm and it does not work either - even compiled statically.
Comment 6 Phil Copeland 2002-06-03 11:22:52 EDT
From the 7.3 intel box thats woking fine...

[root@bryce2 root]# ldd /usr/bin/wmclock

        libXpm.so.4 => /usr/X11R6/lib/libXpm.so.4 (0x40030000)
        libXext.so.6 => /usr/X11R6/lib/libXext.so.6 (0x40040000)
        libX11.so.6 => /usr/X11R6/lib/libX11.so.6 (0x4004d000)
        libc.so.6 => /lib/i686/libc.so.6 (0x42000000)
        libdl.so.2 => /lib/libdl.so.2 (0x40122000)
        /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x40000000)

[root@bryce2 root]# md5sum /usr/X11R6/lib/libXpm.so.4
/usr/X11R6/lib/libXext.so.6 /usr/X11R6/lib/libX11.so.6 /lib/i686/libc.so.6
/lib/libdl.so.2 /lib/ld-linux.so.2

210abe4da2d4f7d3dcbce79716f8b215  /usr/X11R6/lib/libXpm.so.4
6e4e5e9f8d2a6ba285cd71549f3c525a  /usr/X11R6/lib/libXext.so.6
84e0a1783971fd384ca6ad3ec2ed015c  /usr/X11R6/lib/libX11.so.6
e9001d49ec5feeb57b891c9075b537b5  /lib/i686/libc.so.6
4ed64d8f4a8ef166577340255fa3e8ba  /lib/libdl.so.2
da5f70cfd707f8d4a0670f99f8ee2714  /lib/ld-linux.so.2

Phil
=--=
Comment 7 Need Real Name 2002-06-03 11:51:59 EDT
ldd is slightly different.  md5 is the same.

[jay@spam-o-rama jay]$ ldd -v /usr/bin/wmclock 
        libXpm.so.4 => /usr/X11R6/lib/libXpm.so.4 (0x40021000)
        libXext.so.6 => /usr/X11R6/lib/libXext.so.6 (0x40031000)
        libX11.so.6 => /usr/X11R6/lib/libX11.so.6 (0x4003e000)
        libc.so.6 => /lib/i686/libc.so.6 (0x42000000)
        libdl.so.2 => /lib/libdl.so.2 (0x40113000)
        /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x40000000)

        Version information:
        /usr/bin/wmclock:
                libc.so.6 (GLIBC_2.0) => /lib/i686/libc.so.6
        /usr/X11R6/lib/libXpm.so.4:
                libc.so.6 (GLIBC_2.1.3) => /lib/i686/libc.so.6
                libc.so.6 (GLIBC_2.1) => /lib/i686/libc.so.6
                libc.so.6 (GLIBC_2.0) => /lib/i686/libc.so.6
        /usr/X11R6/lib/libXext.so.6:
                libc.so.6 (GLIBC_2.1.3) => /lib/i686/libc.so.6
                libc.so.6 (GLIBC_2.0) => /lib/i686/libc.so.6
        /usr/X11R6/lib/libX11.so.6:
                libdl.so.2 (GLIBC_2.1) => /lib/libdl.so.2
                libdl.so.2 (GLIBC_2.0) => /lib/libdl.so.2
                libc.so.6 (GLIBC_2.1.3) => /lib/i686/libc.so.6
                libc.so.6 (GLIBC_2.2) => /lib/i686/libc.so.6
                libc.so.6 (GLIBC_2.1) => /lib/i686/libc.so.6
                libc.so.6 (GLIBC_2.1.2) => /lib/i686/libc.so.6
                libc.so.6 (GLIBC_2.0) => /lib/i686/libc.so.6
        /lib/i686/libc.so.6:
                ld-linux.so.2 (GLIBC_2.1) => /lib/ld-linux.so.2
                ld-linux.so.2 (GLIBC_2.0) => /lib/ld-linux.so.2
                ld-linux.so.2 (GLIBC_PRIVATE) => /lib/ld-linux.so.2
        /lib/libdl.so.2:
                libc.so.6 (GLIBC_2.1.3) => /lib/i686/libc.so.6
                libc.so.6 (GLIBC_2.1) => /lib/i686/libc.so.6
                libc.so.6 (GLIBC_PRIVATE) => /lib/i686/libc.so.6
                libc.so.6 (GLIBC_2.0) => /lib/i686/libc.so.6


210abe4da2d4f7d3dcbce79716f8b215  /usr/X11R6/lib/libXpm.so.4
6e4e5e9f8d2a6ba285cd71549f3c525a  /usr/X11R6/lib/libXext.so.6
84e0a1783971fd384ca6ad3ec2ed015c  /usr/X11R6/lib/libX11.so.6
e9001d49ec5feeb57b891c9075b537b5  /lib/i686/libc.so.6
4ed64d8f4a8ef166577340255fa3e8ba  /lib/libdl.so.2
da5f70cfd707f8d4a0670f99f8ee2714  /lib/ld-linux.so.2

[jay@spam-o-rama jay]$ ls -l  /usr/X11R6/lib/libXpm.so.4
/usr/X11R6/lib/libXext.so.6 /usr/X11R6/lib/libX11.so.6 /lib/i686/libc.so.6
/lib/libdl.so.2 /lib/ld-linux.so.2
lrwxrwxrwx    1 root     root           13 May 17 21:38 /lib/i686/libc.so.6 ->
libc-2.2.5.so
lrwxrwxrwx    1 root     root           11 May 17 21:38 /lib/ld-linux.so.2 ->
ld-2.2.5.so
lrwxrwxrwx    1 root     root           14 May 17 21:38 /lib/libdl.so.2 ->
libdl-2.2.5.so
lrwxrwxrwx    1 root     root           13 May 17 21:55
/usr/X11R6/lib/libX11.so.6 -> libX11.so.6.2
lrwxrwxrwx    1 root     root           14 May 17 21:55
/usr/X11R6/lib/libXext.so.6 -> libXext.so.6.4
lrwxrwxrwx    1 root     root           14 May 17 21:55
/usr/X11R6/lib/libXpm.so.4 -> libXpm.so.4.11

Note You need to log in before you can comment on or make changes to this bug.